commit:     cf72416b29d1fc39f978044b7da63d909d90bd24
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 31 08:18:56 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug 31 08:19:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf72416b

sys-fs/ntfs3g: Security bump to version 2021.8.22

Bug: https://bugs.gentoo.org/811156
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-fs/ntfs3g/Manifest                |  1 +
 sys-fs/ntfs3g/ntfs3g-2021.8.22.ebuild | 82 +++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/sys-fs/ntfs3g/Manifest b/sys-fs/ntfs3g/Manifest
index a087229bff9..d1fd2603084 100644
--- a/sys-fs/ntfs3g/Manifest
+++ b/sys-fs/ntfs3g/Manifest
@@ -1 +1,2 @@
 DIST ntfs-3g_ntfsprogs-2017.3.23AR.5.tgz 1278315 BLAKE2B 
d4f84bf744b12fec7faff82bd3d3048282a3cbcde2ca75e5d3a295206585c4cee68e25dff5fb20b034f516a3f2cd95c489105d9df810f8a9378024ef065b67d3
 SHA512 
8534970ba9f07999c5ff433144ad3a59640fb9a28fb30b37b5d736101e19f9fec1c222152338be382c894f972fce2b2a83680b85a28cf147cb5500b40a0a25cc
+DIST ntfs-3g_ntfsprogs-2021.8.22.tgz 1317499 BLAKE2B 
403036c68a37ba83873b5faadbb2088deb25e0ff31deb1958d4f869a198d830caa44edea879492a7894f5e7a5ad6205a6fda57bf8de722ce49bf3187239ad993
 SHA512 
e0544df78a6c352999e1206d7b5d71c56e39396b7a0936a261d728c2ac9d61c6b95ef297f8529ac2a5146f31c1c9e43066d3e281064d4f5d781a04eba51f536d

diff --git a/sys-fs/ntfs3g/ntfs3g-2021.8.22.ebuild 
b/sys-fs/ntfs3g/ntfs3g-2021.8.22.ebuild
new file mode 100644
index 00000000000..ab40a1ab993
--- /dev/null
+++ b/sys-fs/ntfs3g/ntfs3g-2021.8.22.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit linux-info toolchain-funcs
+
+MY_P="ntfs-3g_ntfsprogs-${PV}"
+
+DESCRIPTION="Open source read-write NTFS driver that runs under FUSE"
+HOMEPAGE="http://www.tuxera.com/community/ntfs-3g-download/";
+HOMEPAGE="https://jp-andre.pagesperso-orange.fr/advanced-ntfs-3g.html";
+SRC_URI="http://tuxera.com/opensource/${MY_P}.tgz";
+#SRC_URI="https://jp-andre.pagesperso-orange.fr/${MY_P}.tgz";
+
+LICENSE="GPL-2"
+# The subslot matches the SONAME major #.
+SLOT="0/89"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="acl debug ntfsdecrypt +ntfsprogs static-libs suid xattr"
+
+RDEPEND="
+       sys-apps/util-linux:0=
+       sys-fs/fuse:0
+       ntfsdecrypt? (
+               >=dev-libs/libgcrypt-1.2.2:0
+               >=net-libs/gnutls-1.4.4
+       )
+"
+DEPEND="${RDEPEND}
+       sys-apps/attr
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+       CONFIG_CHECK="~FUSE_FS"
+       FUSE_FS_WARNING="You need to have FUSE module built to use ntfs-3g"
+       linux-info_pkg_setup
+}
+
+src_configure() {
+       tc-ld-disable-gold
+
+       local myconf=(
+               # passing --exec-prefix is needed as the build system is trying 
to be clever
+               # and install itself into / instead of /usr in order to be 
compatible with
+               # separate-/usr setups (which we don't support without an 
initrd).
+               --exec-prefix="${EPREFIX}"/usr
+
+               --disable-ldconfig
+               --enable-extras
+               $(use_enable debug)
+               $(use_enable acl posix-acls)
+               $(use_enable xattr xattr-mappings)
+               $(use_enable ntfsdecrypt crypto)
+               $(use_enable ntfsprogs)
+               $(use_enable ntfsprogs quarantined)
+               $(use_enable static-libs static)
+
+               --with-uuid
+
+               # disable hd library until we have the right library in the 
tree and
+               # don't links to hwinfo one causing issues like bug #602360
+               --without-hd
+
+               --with-fuse=external
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       use suid && fperms u+s /usr/bin/ntfs-3g
+       dosym mount.ntfs-3g /sbin/mount.ntfs
+       find "${ED}" -name '*.la' -type f -delete || die
+       # https://bugs.gentoo.org/760780
+       keepdir "/usr/$(get_libdir)/ntfs-3g"
+}

Reply via email to